org.codehaus.plexus.util.io

## Class FileInputStreamFacade

- java.lang.Object
- - org.codehaus.plexus.util.io.FileInputStreamFacade

All Implemented Interfaces:
  InputStreamFacade

    public class FileInputStreamFacade
    extends Object
    implements InputStreamFacade

Implementation of `InputStreamFacade` for files.

### Constructor Summary

Constructors
Constructor and Description
`FileInputStreamFacade(File file)` Creates a new instance.

### Method Summary

Methods
`InputStream` `getInputStream()` Retrieves the actual `InputStream`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileInputStreamFacade

    public FileInputStreamFacade(File file)

Creates a new instance.

### Method Detail

#### getInputStream

    public InputStream getInputStream()
                               throws IOException

Description copied from interface: `InputStreamFacade`
Retrieves the actual `InputStream`. The caller must assume, that this method may be invoked only once.

Specified by:
  `getInputStream` in interface `InputStreamFacade`
Throws:
  `IOException`